#' @docType package
#'
#' @name rct3-package
#'
#' @title Predict Fish Year-Class Strength from Survey Data
#'
#' @description
#' Predict fish year-class strength by calibration regression analysis
#' of multiple recruitment index series.
#'
#' @details
#' Functions:
#' \tabular{ll}{
#'   \code{\link{rct3}} \tab run a calibrated regression to predict rectruitment\cr
#'   \code{\link{print.rct3}}  \tab print a rct3 object\cr
#'   \code{\link{summary.rct3}} \tab summarise a rct3 object
#' }
#'
#' #' Data sets:
#' \tabular{ll}{
#'   \code{\link{recdata}} \tab example dataset of recruitment and survey indices
#' }
#' @references
#' J. G. Shepherd, Prediction of year-class strength by calibration
#' regression analysis of multiple recruit index series, ICES
#' Journal of Marine Science, Volume 54, Issue 5, October 1997,
#' Pages 741–752, \url{https://doi.org/10.1006/jmsc.1997.0222}
#'

NULL
